package com.scpyun.platform.jilinsscgsdp.bean.entity;

import java.math.BigDecimal;
import java.util.Date;

public class SysDict {

    private String id; // 编号


    private String value; // 数据值


    private String label; // 标签名


    private String type; // 类型


    private String typeCategory; // 类型分类 center名称


    private String description; // 描述


    private BigDecimal sort; // 排序（升序）


    private String parentId; // 父级编号


    private String createBy; // 创建者


    private Date createDate; // 创建时间


    private String updateBy; // 更新者


    private Date updateDate; // 更新时间


    private String remarks; // 备注信息


    private String delFlag; // 删除标记（0：正常，1：删除）


    private Integer dictType; // 0:系统固有 1:业务

    private String isEasy; // 是否易引发群体性事件（0：否，1：是）

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTypeCategory() {
        return typeCategory;
    }

    public void setTypeCategory(String typeCategory) {
        this.typeCategory = typeCategory;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public BigDecimal getSort() {
        return sort;
    }

    public void setSort(BigDecimal sort) {
        this.sort = sort;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Integer getDictType() {
        return dictType;
    }

    public void setDictType(Integer dictType) {
        this.dictType = dictType;
    }

    public String getIsEasy() {
        return isEasy;
    }

    public void setIsEasy(String isEasy) {
        this.isEasy = isEasy;
    }
}
